API reference
Chat completions
Send an OpenAI Chat Completions request.
Request fields come from the gateway's OpenAPI document. See authentication and headers and errors.
The OpenAPI document does not define response schemas for these routes. Missing response fields below do not mean the API returns an empty response.
POST
header
AuthorizationBearer <token>application/json- body
model*stringLength
1 <= lengthmessages*array<>Items
1 <= itemsmax_tokens?integerRange
0 < value <= 9007199254740991max_completion_tokens?integerRange
0 < value <= 9007199254740991temperature?numberRange
0 <= value <= 2top_p?numberRange
0 <= value <= 1stop?string|array<string>|nullstream?booleanDefault
falsestream_options?|nulltools?array<>tool_choice?|parallel_tool_calls?booleanresponse_format?||reasoning_effort?stringValue in
"none""minimal""low""medium""high""xhigh""max"user?stringn?1Value in
1logprobs?not (unknown)logit_bias?not (unknown)top_logprobs?not (unknown)audio?not (unknown)modalities?array<>[key: string]?unknownDefault Response
curl -X POST 'https://unused.market/v1/chat/completions' \ -H 'Content-Type: application/json' \ -d '{ "model": "string", "messages": [ { "role": "system", "property1": null, "property2": null } ], "property1": null, "property2": null}'Empty